Subject: Re: linux-next: Tree for January 23 (kvm)

From: Andrew Morton <[email-masked]>
Date: Wed, 28 Jan 2009 01:51:49 -0800

On Fri, 23 Jan 2009 12:34:24 -0800 Randy Dunlap <[email-masked]> wrote:

> Stephen Rothwell wrote:
> > Hi all,
> > 
> > News:  I will be on leave next week, so there will probably be no
> > linux-next release until Feb 2.
> > 
> > Changes since 20090122:
> 
> 
> kvm changes cause this build error on i386:
> 
> when kvm is built as module:
> ERROR: "__moddi3" [arch/x86/kvm/kvm.ko] undefined!
> 
> or when kvm is built into the kernel image:
> lapic.c:(.text+0x19276): undefined reference to `__moddi3'
> 
> 
> I guess it's this line:
> 	ns = ktime_to_ns(remaining) % apic->timer.period;
> 

dammit, I just spent N minutes hunting down the same thing in
the Jan 26 linux-next :(